Bug 1299413 - support OpenStack Neutron networking
Summary: support OpenStack Neutron networking
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general   
(Show other bugs)
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: matt jia
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: FutureFeature, Patch, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-18 10:27 UTC by Dan Callaghan
Modified: 2017-02-21 18:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:48:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2016-01-18 10:27:23 UTC
Beaker's OpenStack integration currently assumes Nova networking. To support larger more modern OpenStacks, Beaker needs to support Neutron networking as well (or perhaps instead).

Some details need to be ironed out still... Ideally each recipe set would be given its own subnet, which lays the groundwork for working multihost testing on OpenStack VMs. (The current OpenStack integration is limited to single-host recipe sets.)

Comment 1 matt jia 2016-08-12 02:17:48 UTC
On Gerrit:

  https://gerrit.beaker-project.org/#/c/5132/

Comment 2 matt jia 2016-09-29 23:39:11 UTC
Also add a patch for conditionally import Openstack modules so that we do not need to build them by ourselves.

https://gerrit.beaker-project.org/#/c/5242/

Comment 5 Dan Callaghan 2017-02-21 18:48:19 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.